<template>
  <div>
    <h1 class="mb-8">Do you use any hormonal or nutritional supplements that may contain androgens?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "YourHealth16",
  data() {
    return {
      choices: [
        'Yes',
        'No',
        'Unsure'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_16')
        this.nextStage()
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like a personalized prescription solution is not the best fit for your needs.\n\nThe ingredients in these formulas are not compatible with your current supplement routine.\n\nHowever, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
